image: alpine:latest

include:
    - template: API-Fuzzing.gitlab-ci.yml

stages:
    - build
    - test
    - fuzz
            
variables:
    #
    # --] Required Configuration ------------------------------------
    #
    # Test using an OpenAPI file
    FUZZAPI_OPENAPI: test_openapi.v2.0.json
    #
    # Provide the base url for the target.
    # This will override the base URL in the HAR or OpenAPI specification
    FUZZAPI_TARGET_URL: http://target:7777
    #
    # --] Optional configuration [------------------------------------
    #
    # FUZZAPIOVERRIDESJSON is set in the CI/CD Variables section of Settings
    FUZZAPI_OVERRIDES_ENV: $FUZZAPIOVERRIDESJSON
    #
    # Build target container
    FUZZAPI_PRE_SCRIPT: 'docker build -t flask-app .'
    #
    # Target container run configuration
    FUZZAPI_D_TARGET_IMAGE: flask-app
    FUZZAPI_D_TARGET_ENV: -e SYSLOG_TARGET=apifuzzer -e TZ=America/Los_Angeles
    FUZZAPI_D_TARGET_VOLUME: -v $CI_PROJECT_DIR:/app
    FUZZAPI_D_TARGET_PORTS: -p 7777:7777 -p 7778:7778

    #
    # Enable verbose output for debugging
    FUZZAPI_VERBOSE: "1"
    #

build:
    stage: build
    variables:
        GIT_STRATEGY: none
    script:
        - echo "Building all the things!"
        - echo "$GITLAB_FEATURES"

test:
    stage: test
    variables:
        GIT_STRATEGY: none
    script:
        - echo "Testing all the things!"

# end
